// creator  : weidu.exe (version 23100)
// argument : HLKANG.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HLKANG~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #56230 /* ~Fools you are! Death shall rain upon the planes and Kangaxx will violate all!~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #56231 /* ~But worry not, my saviour. You shall be well rewarded. You will have the privilege of a sweet painful death at my hands!~ */
  IF ~~ THEN DO ~EraseJournalEntry(54293)
Enemy()~ SOLVED_JOURNAL #54376 /* ~Restore Kangaxx's Body

I have restored the body pieces I discovered to the golden skull... only to have it reform itself into none other than a lich!  The creature immediately attacked with its powerful magics.  Obviously I should beware offers from strange skulls in the future...~ */ EXIT
END

IF ~HP(Myself,1)~ THEN BEGIN 2 // from:
  SAY #56233 /* ~Still you do not understand! Not only was I to languish in the tomb for all eternity but also I must be destroyed by another to be free.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #56234 /* ~You have truly freed me and the world will be burned to ash for your sin!~ */
  IF ~~ THEN DO ~ReallyForceSpell(Myself,RED_EFFECT)
ScreenShake([5.5],5)
ReallyForceSpell(Myself,LICH_REPLACE_SELF)
~ EXIT
END
